Fetch file with details
curl --request GET \
--url https://api.rootkey.ai/api-v1/platform/files/{fileId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.rootkey.ai/api-v1/platform/files/{fileId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.rootkey.ai/api-v1/platform/files/{fileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chainId": 137,
"file": {
"transactionHash": "<string>",
"chainId": 123,
"contractAddress": "<string>",
"id": "<string>",
"parentId": "<string>",
"versionsNumber": 123,
"name": "brand_guidelines.pdf",
"sizeBytes": 123,
"extension": "PDF",
"lastValidateAt": "2023-11-07T05:31:56Z",
"integrity": 123,
"url": "<string>",
"isTest": true,
"createdAt": "2023-11-07T05:31:56Z",
"hash": "<string>",
"ipAddress": "<string>",
"userAgent": "<string>",
"createdBy": {
"name": "<string>",
"email": "<string>"
},
"vault": {
"name": "Marketing Assets",
"address": "<string>"
},
"organizationId": "<string>",
"blockchainId": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"metadata": {},
"author": {
"name": "<string>",
"email": "<string>"
},
"metrics": {
"totalDownloads": 123,
"totalShares": 123,
"totalVersions": 123,
"totalValidations": 123,
"uniqueUsers": 123,
"uniqueIPs": 123,
"lastActivity": "2023-11-07T05:31:56Z"
}
}
}{
"error": {
"requestId": "<string>",
"message": "<string>",
"errorCode": "<string>",
"docUrl": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error": {
"requestId": "<string>",
"message": "<string>",
"errorCode": "<string>",
"docUrl": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Files
Fetch file with details
GET
/
platform
/
files
/
{fileId}
Fetch file with details
Authorizations
ROOTKey API key (rk_live_... for production, rk_test_... for the test network).
Path Parameters
Query Parameters
Blockchain address of the vault that owns the file
Was this page helpful?
⌘I

